#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hasql
version:              1.4.5.3
visibility:           public
id:                   hasql-1.4.5.3-DkiMlABHQXL3GXtsm7PHg4
key:                  hasql-1.4.5.3-DkiMlABHQXL3GXtsm7PHg4
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/hasql
synopsis:             An efficient PostgreSQL driver with a flexible mapping API
description:
    Root of the \"hasql\" ecosystem.
    For details and tutorials see
    <https://github.com/nikita-volkov/hasql the readme>.

    The API comes free from all kinds of exceptions. All error-reporting is explicit and is presented using the '\''Either'\'' type.

category:             Hasql, Database, PostgreSQL
abi:                  fc9d0827cec42edae04ddc1271b1693d
exposed:              True
exposed-modules:
    Hasql.Connection Hasql.Decoders Hasql.Encoders Hasql.Session
    Hasql.Statement

hidden-modules:
    Hasql.Private.Prelude Hasql.Private.Errors Hasql.Private.PTI
    Hasql.Private.IO Hasql.Private.Session Hasql.Private.Connection
    Hasql.Private.PreparedStatementRegistry Hasql.Private.Settings
    Hasql.Private.Commands Hasql.Private.Decoders
    Hasql.Private.Decoders.Array Hasql.Private.Decoders.Composite
    Hasql.Private.Decoders.Value Hasql.Private.Decoders.Row
    Hasql.Private.Decoders.Result Hasql.Private.Decoders.Results
    Hasql.Private.Encoders Hasql.Private.Encoders.Array
    Hasql.Private.Encoders.Value Hasql.Private.Encoders.Params

import-dirs:          /usr/lib/ghc-9.0.1/site-local/hasql-1.4.5.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/hasql-1.4.5.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/hasql-1.4.5.3
hs-libraries:         HShasql-1.4.5.3-DkiMlABHQXL3GXtsm7PHg4
depends:
    attoparsec-0.14.1-K1PNUn1z9Ub7TsFBpn3sHF base-4.15.0.0
    bytestring-0.10.12.1
    bytestring-strict-builder-0.4.5.4-GX6atWZzQo8e6py6HkMMz
    contravariant-1.5.5-1Tz7FaRP9yoKqkcBKkQ76A
    dlist-1.0-968votKXJv95y05SwCWWU0
    hashable-1.3.3.0-3L81lU2ygSqqBRC8gEHN5
    hashtables-1.2.4.2-C96MDjvWk8FF5wW6YoHQTD mtl-2.2.2
    postgresql-binary-0.12.4.1-EWgObzBFocdC5bdX4VlEZX
    postgresql-libpq-0.9.4.3-4UpE2VczKgl8p7NC0fd3Q8
    profunctors-5.6.2-8LK9djUomX64BO5XqJOwvk text-1.2.4.1
    text-builder-0.6.6.3-6joHrML7iGZCgVyRh3L0rr transformers-0.5.6.2
    vector-0.12.3.1-4LU8STmHsbh153eRU0hKX2

haddock-interfaces:   /usr/share/doc/haskell-hasql/html/hasql.haddock
haddock-html:         /usr/share/doc/haskell-hasql/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

